package com.tiptimes.model.QuestionnaireDTO;

import java.util.List;

/**
 * 按组别获取表单对象
 */

public class FormOptionByGroup {

    /**
     * 组别id
     */
    private int groupId;

    /**
     * 组别标题
     */
    private String groupTitle;

    /**
     * 关联年份
     */
    private int qnYear;

    /**
     * 组别类型 0-表单 1-表格
     */
    private int groupType;

    /**
     * 关联问题列表 按照（,）分割
     */
    private String questionId;

    /**
     * 关联表单id
     */
    private int questionnaireId;

    /**
     * 关联组id 用于同一表单项同步值
     */
    private int relevance;


    private int maxPoint;
    /**
     * 组下问题列表
     */
    private List<FormOptionsDto> formOptions;

    public FormOptionByGroup() {
    }

    public FormOptionByGroup(int groupId, String groupTitle, int qnYear, int groupType, String questionId, int questionnaireId, int relevance,int maxPoint, List<FormOptionsDto> formOptions) {
        this.groupId = groupId;
        this.groupTitle = groupTitle;
        this.qnYear = qnYear;
        this.groupType = groupType;
        this.questionId = questionId;
        this.questionnaireId = questionnaireId;
        this.relevance = relevance;
        this.maxPoint=maxPoint;
        this.formOptions = formOptions;
    }

    public int getMaxPoint() {
        return maxPoint;
    }

    public void setMaxPoint(int maxPoint) {
        this.maxPoint = maxPoint;
    }

    public int getGroupId() {
        return groupId;
    }

    public void setGroupId(int groupId) {
        this.groupId = groupId;
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public void setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
    }

    public int getQnYear() {
        return qnYear;
    }

    public void setQnYear(int qnYear) {
        this.qnYear = qnYear;
    }

    public int getGroupType() {
        return groupType;
    }

    public void setGroupType(int groupType) {
        this.groupType = groupType;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public int getQuestionnaireId() {
        return questionnaireId;
    }

    public void setQuestionnaireId(int questionnaireId) {
        this.questionnaireId = questionnaireId;
    }

    public int getRelevance() {
        return relevance;
    }

    public void setRelevance(int relevance) {
        this.relevance = relevance;
    }

    public List<FormOptionsDto> getFormOptions() {
        return formOptions;
    }

    public void setFormOptions(List<FormOptionsDto> formOptions) {
        this.formOptions = formOptions;
    }
}
